%define pypi_name blinker

Name:           python-blinker
Version:        1.4
Release:        %mkrel 1
Summary:        Fast, simple object-to-object and broadcast signaling

Group:          Development/Python
License:        MIT
URL:            http://discorporate.us/projects/Blinker/
Source0:        http://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
Blinker provides a fast dispatching system that allows any number 
of interested parties to subscribe to events, or "signals".

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Fast, simple object-to-object and broadcast signaling
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
Blinker provides a fast dispatching system that allows any number 
of interested parties to subscribe to events, or "signals".

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}

%build
%py2_build

%py3_build

%install
%py2_install

%py3_install

 
%files
%doc docs/ AUTHORS CHANGES README.md PKG-INFO
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/%{pypi_name}

%files -n python3-%{pypi_name}
%doc docs/ AUTHORS CHANGES README.md PKG-INFO
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/%{pypi_name}


%changelog
* Mon Jan 18 2016 daviddavid <daviddavid> 1.4-1.mga6
+ Revision: 925545
- new version: 1.4
- use new python macros

* Sat Oct 10 2015 tv <tv> 1.3-9.mga6
+ Revision: 888744
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3-8.mga5
+ Revision: 749128
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-7.mga5
+ Revision: 728108
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 687905
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3-5.mga5
+ Revision: 629728
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.3-4.mga5
+ Revision: 628472
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 543235
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-2.mga4
+ Revision: 498193
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 492216
- imported package python-blinker

